GDB (xrefs)

Classes | Enumerations | Functions
mi-common.h File Reference
`#include "interps.h"`

Go to the source code of this file.

## Classes
class | mi_interp

## Enumerations
enum | async_reply_reason { EXEC_ASYNC_BREAKPOINT_HIT = 0, EXEC_ASYNC_WATCHPOINT_TRIGGER, EXEC_ASYNC_READ_WATCHPOINT_TRIGGER, EXEC_ASYNC_ACCESS_WATCHPOINT_TRIGGER, EXEC_ASYNC_FUNCTION_FINISHED, EXEC_ASYNC_LOCATION_REACHED, EXEC_ASYNC_WATCHPOINT_SCOPE, EXEC_ASYNC_END_STEPPING_RANGE, EXEC_ASYNC_EXITED_SIGNALLED, EXEC_ASYNC_EXITED, EXEC_ASYNC_EXITED_NORMALLY, EXEC_ASYNC_SIGNAL_RECEIVED, EXEC_ASYNC_SOLIB_EVENT, EXEC_ASYNC_FORK, EXEC_ASYNC_VFORK, EXEC_ASYNC_SYSCALL_ENTRY, EXEC_ASYNC_SYSCALL_RETURN, EXEC_ASYNC_EXEC, EXEC_ASYNC_LAST }

## Functions
const char * | async_reason_lookup (enum async_reply_reason reason)

## Enumeration Type Documentation

## ◆ async_reply_reason

enum async_reply_reason

Enumerator
EXEC_ASYNC_BREAKPOINT_HIT |
EXEC_ASYNC_WATCHPOINT_TRIGGER |
EXEC_ASYNC_READ_WATCHPOINT_TRIGGER |
EXEC_ASYNC_ACCESS_WATCHPOINT_TRIGGER |
EXEC_ASYNC_FUNCTION_FINISHED |
EXEC_ASYNC_LOCATION_REACHED |
EXEC_ASYNC_WATCHPOINT_SCOPE |
EXEC_ASYNC_END_STEPPING_RANGE |
EXEC_ASYNC_EXITED_SIGNALLED |
EXEC_ASYNC_EXITED |
EXEC_ASYNC_EXITED_NORMALLY |
EXEC_ASYNC_SIGNAL_RECEIVED |
EXEC_ASYNC_SOLIB_EVENT |
EXEC_ASYNC_FORK |
EXEC_ASYNC_VFORK |
EXEC_ASYNC_SYSCALL_ENTRY |
EXEC_ASYNC_SYSCALL_RETURN |
EXEC_ASYNC_EXEC |
EXEC_ASYNC_LAST |

Definition at line 29 of file mi-common.h.

## Function Documentation

## ◆ async_reason_lookup()

const char* async_reason_lookup | ( | enum async_reply_reason | reason | ) |

Definition at line 49 of file mi-common.c.

References async_reason_string_lookup.

Referenced by bkpt_print_it(), mi_on_normal_stop_1(), print_end_stepping_range_reason(), print_exited_reason(), print_it_catch_exec(), print_it_catch_fork(), print_it_catch_syscall(), print_it_catch_vfork(), print_it_exception(), print_it_exception_catchpoint(), print_it_masked_watchpoint(), print_it_ranged_breakpoint(), print_it_watchpoint(), print_signal_exited_reason(), print_signal_received_reason(), print_solib_event(), and watchpoint_check().